{
  "name": "NewFrameWork2023-WEB",
  "version": "1.2.0",
  "scripts": {
    "dev": "vite serve --mode development",
    "prod": " vite build --mode production",
    "serve": "vite preview",
    "lint": "eslint src/**/*.{ts,js,vue} --fix",
    "prepare": "husky install",
    "prettier": "prettier --write ."
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@headlessui/vue": "^1.7.12",
    "@heroicons/vue": "^2.0.17",
    "@kangc/v-md-editor": "^2.3.15",
    "@soerenmartius/vue3-clipboard": "^0.1.2",
    "@tinymce/tinymce-vue": "^5.1.1",
    "@tiptap/extension-blockquote": "^2.11.5",
    "@tiptap/extension-code-block": "^2.11.5",
    "@tiptap/extension-document": "^2.11.5",
    "@tiptap/extension-paragraph": "^2.11.5",
    "@tiptap/extension-strike": "^2.11.5",
    "@tiptap/extension-text": "^2.11.5",
    "@tiptap/extension-underline": "^2.11.5",
    "@tiptap/starter-kit": "^2.11.5",
    "@tiptap/vue-3": "^2.11.5",
    "@types/js-cookie": "^3.0.2",
    "@vueuse/core": "^9.1.1",
    "@vueuse/integrations": "^9.13.0",
    "@wangeditor/editor": "^5.0.0",
    "@wangeditor/editor-for-vue": "^5.1.10",
    "aplayer": "^1.10.1",
    "artplayer": "^4.6.1",
    "axios": "^1.8.4",
    "beautify-qrcode": "^1.0.3",
    "better-scroll": "^2.4.2",
    "d3": "^7.9.0",
    "default-passive-events": "^2.0.0",
    "docx-preview": "^0.3.0",
    "echarts": "^5.2.2",
    "element-plus": "^2.2.27",
    "github-markdown-css": "^5.1.0",
    "highlight.js": "^10.7.2",
    "hls.js": "^1.3.5",
    "html2canvas": "^1.4.1",
    "html2pdf.js": "^0.10.1",
    "js-base64": "^3.7.5",
    "js-cookie": "^3.0.1",
    "jsencrypt": "^3.3.2",
    "jspdf": "^2.5.1",
    "leaflet": "^1.9.4",
    "marked": "^4.0.17",
    "minimatch": "^5.1.0",
    "monaco-editor": "^0.36.1",
    "mpegts.js": "^1.7.2",
    "nprogress": "^0.2.0",
    "path-browserify": "^1.0.1",
    "path-to-regexp": "^6.2.0",
    "pinia": "^2.0.12",
    "pptxgenjs": "^3.12.0",
    "screenfull": "^6.0.0",
    "sortablejs": "^1.14.0",
    "tinymce": "^7.0.0",
    "ua-browser": "^0.1.5",
    "v-contextmenu": "^3.0.0",
    "v3-img-preview-enhance": "^1.1.18",
    "vue": "^3.2.40",
    "vue-3d-loader": "^2.0.8",
    "vue-clipboard3": "^2.0.0",
    "vue-i18n": "^9.1.9",
    "vue-pdf-embed": "^1.1.4",
    "vue-router": "^4.1.6",
    "vue-virtual-scroller": "^2.0.0-beta.1",
    "vue3-print-nb": "^0.1.4",
    "vuedraggable": "^4.1.0",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@commitlint/cli": "^16.2.3",
    "@commitlint/config-conventional": "^16.2.1",
    "@types/leaflet": "^1.9.17",
    "@types/node": "^16.11.7",
    "@types/nprogress": "^0.2.0",
    "@types/path-browserify": "^1.0.0",
    "@typescript-eslint/eslint-plugin": "^5.19.0",
    "@typescript-eslint/parser": "^5.19.0",
    "@vitejs/plugin-vue": "^4.0.0",
    "autoprefixer": "^10.4.13",
    "eslint": "^8.14.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-vue": "^8.6.0",
    "fast-glob": "^3.2.11",
    "husky": "^7.0.4",
    "postcss": "^8.4.20",
    "prettier": "^2.6.2",
    "sass": "^1.53.0",
    "tailwindcss": "^3.2.4",
    "typescript": "^4.7.4",
    "vite": "^4.0.3",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "^0.35.0"
  },
  "repository": "https://gitee.com/youlaiorg/vue3-element-admin.git",
  "author": "有来开源组织",
  "license": "MIT"
}
